<?php
/**
 * @file
 * To configure user popup.
 *
 */

/**
 * Implements menu callback.
 */
function user_popup_info_config($form, &$form_state) {
  $form['user_popup_info_auto_detect'] = array(
    '#title' => t('How should user links be detected'),
    '#type' => 'radios',
    '#options' => array('Manually', 'Automatically'),
    '#description' => t('<i>Manually</i> : To manually detect user links, add class name <i>user-popup</i>.<br><i>Automatically</i> : Detecting links automatically may overload the server with AJAX requests.<br>Therefore, It is advisable to use this option only in case you do not have any server issues.'),
    '#default_value' => variable_get('user_popup_info_auto_detect', '1'),
  );
  $form['user_popup_info_pic_width'] = array(
    '#title' => t('User picture width'),
    '#type' => 'textfield',
    '#description' => t('Input user picture\'s width value. Enter only numerical value.'),
    '#default_value' => variable_get('user_popup_info_pic_width', '80'),
  );
  $form['user_popup_info_pic_height'] = array(
    '#title' => t('User picture height'),
    '#type' => 'textfield',
    '#description' => t('Input user picture\'s height value. Enter only numerical value.'),
    '#default_value' => variable_get('user_popup_info_pic_height', '80'),
  );
  $form['user_popup_info_alias_name'] = array(
    '#title' => t('User alias name (to support user aliases)'),
    '#type' => 'textfield',
    '#description' => t('Just mention what is between <i>base URL</i> and <i>username</i>, that is, <br>- if user alias is like <i>http://www.example.com/<strong>user/</strong>username</i>, then mention <strong>user/</strong> above, <br>- if user alias is like <i>http://www.example.com/<strong>users/</strong>username</i>, then mention <strong>users/</strong> above,<br>- if user alias is like <i>http://www.example.com/<strong>sales/person/</strong>username</i>, then mention <strong>sales/person/</strong> above.'),
    '#default_value' => variable_get('user_popup_info_alias_name', 'users/'),
  );
  $form['user_popup_info_exclude_user_links'] = array(
    '#title' => t('Links that should be excluded'),
    '#type' => 'textarea',
    '#description' => t('Enter relative paths, one path per line or comma separated with a leading slash "/".'),
    '#default_value' => variable_get('user_popup_info_exclude_user_links', USER_POPUP_INFO_EXCLUDED_LINKS),
  );
  return system_settings_form($form);
}